Gets the list of cashbacks.
Returns the list of all the cashbacks generated for a consumer.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Query Parameters
Filter by amount
Amount of the transaction
Filter by created_at
Filtering on date of creation between -- after -- before --
Filter by descriptor
Label of the transaction
Filter by loyalty_frequency
Number of purchases before the customer gets a reward.
Filters all loyalty_frequency higher than those provided in loyalty_frequency__gt.
Filters all offers depending on whether they are a loyalty_offer or not. If "true", retrieves all the Offers that are not of loyalty type. If "false", retrieves all the Offers of loyalty type.
the page number
x >= 1the number of elements per page
1 <= x <= 100Sort by given attribute
amount, status, created_at, user_offer__reference, user_offer__id, user_offer__name, user_offer__brand__name, descriptor, transaction__amount, transaction__score, loyalty_frequency, -amount, -status, -created_at, -user_offer__reference, -user_offer__id, -user_offer__name, -user_offer__brand__name, -descriptor, -transaction__amount, -transaction__score, -loyalty_frequency Filter by status
CANCELLED, PENDING_VALIDATION, VALIDATED, PAID_IN, PAID_OUT, ERROR Filter by transaction__amount
Filter by transaction__score
Filter by user_offer__brand__name
Filter by user_offer__id
Filter by user_offer__name
Filter by user_offer__reference